/*
 * Copyright (c) 2011 by RibbonSoft, GmbH. All rights reserved.
 * 
 * This file is part of the QCAD project.
 *
 * Licensees holding valid QCAD Professional Edition licenses 
 * may use this file in accordance with the QCAD License
 * Agreement provided with the Software.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, 
 * INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
 * FOR A PARTICULAR PURPOSE.
 * 
 * See http://www.ribbonsoft.com for further details.
 */

include("../Examples.js");

/**
 * \class IOExamples
 * \brief Base class for all IO examples.
 */
function IOExamples(guiAction) {
    EAction.call(this, guiAction);
}

IOExamples.prototype = new EAction();
IOExamples.includeBasePath = includeBasePath;

IOExamples.getMenu = function() {
    var menu = EAction.getSubMenu(
        Examples.getMenu(),
        150,
        IOExamples.getTitle(),
        "ioExamples"
        //IOExamples.includeBasePath + "/IOExamples.svg"
    );
    return menu;
};

IOExamples.getToolBar = function() {
    var tb = EAction.getToolBar(IOExamples.getTitle(), "IOExamples");
    tb.orientation = Qt.Vertical;
    tb.visible = false;
    return tb;
};

IOExamples.getTitle = function() {
    return qsTr("&Import / Export");
};

IOExamples.prototype.getTitle = function() {
    return IOExamples.getTitle();
};
